mostFreq <- function(x, ...) UseMethod("mostFreq")

mostFreq.numeric <- stats::median.default

mostFreq.logical <- function(x, ...) {
  tx <- as.vector(table(x))
  tx[2] > tx[1]
}

mostFreq.character <- function(x, ...) {
  tx <- table(x)
  names(tx)[which.max(tx)]
}

mostFreq.factor <- function(x, ...)
    mostFreq.character(as.character(x))

Store(list = ls(pattern = "^mostFreq"))
